Bug 27795 - Add optimization for regexps which strats with ^(BOL)
Summary: Add optimization for regexps which strats with ^(BOL)
Status: CLOSED FIXED
Alias: None
Product: Regexp
Classification: Unclassified
Component: Other (show other bugs)
Version: unspecified
Hardware: All All
: P3 normal (vote)
Target Milestone: ---
Assignee: Jakarta Notifications Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-19 06:43 UTC by Oleg Sukhodolsky
Modified: 2005-08-11 22:15 UTC (History)
0 users



Attachments
Suggested fix (it optimizes matching for non multiline matching only) (3.53 KB, patch)
2004-03-19 06:54 UTC, Oleg Sukhodolsky
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Sukhodolsky 2004-03-19 06:43:33 UTC
Re.match() has optimization for regexps with prefix.
I think it's worth to add optimization for regexps which starts with BOL(^)
Comment 1 Oleg Sukhodolsky 2004-03-19 06:54:36 UTC
Created attachment 10866 [details]
Suggested fix (it optimizes matching for non multiline matching only)
Comment 2 Vadim Gritsenko 2005-08-12 05:09:27 UTC
Modified & applied. I added loop to handle BOL & MATCH_MULTILINE case.